;SimpleCalndarV
;[BEGIN CONFIG FILE]===============================

;[Rainmeter]
;Author=Chewtoy (original calendar from mepu HUD.Vision 2.0)
;Version=1.03
;AppVersion=0.14
;This skin is published under GPL license!
;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata


[Variables]
FontColor=255, 255, 255, 150
FontFace=Tahoma
BarColor=200, 200, 200, 90
FontSize=8
FontSizeBig=12
SolidColor=255, 255, 255, 80
X0=10
pxS=16
XWeek=4
XDate=29
XDay=47
StringAlign=Left

;For simplicity ofcourse! Change here, and nowhere else! It's supposed to be easy to use a skin... USE VARIABLES!
;Read the comments to get a clue on what everything is!

;=============================================
;[MEASURES]===================================
;=============================================

[MeasureYear]
Measure=Time
Format=%Y
;Format=%y
;If you don't want century, uncomment %y and comment %Y

:-----

[MeasureMonth]
Measure=Time
Format=%m
;Format=%B
;Format=%b
;Depeding on what you want your month to show as. The Format=%m is decimal (01-12) and the Format=%B is for full month name, %b is abbrevated. Only one can be unmarked for it to look good...

;-----

[MeasureWeek]
Measure=Time
Format=%W
;Format=%U
;%U is for sunday as first day of the week, %W is with monday as first day.

[MeasureWeek1]
Measure=Calc
Formula=(MeasureWeek)+1


;-----

[MeasureDate]
Measure=Time
Format=%d

[MeasureDay]
Measure=Time
Format=%a

[MeasureMonthRange]
Measure=Calc
Formula=((MeasureMonth = 4) || (MeasureMonth = 6) || (MeasureMonth = 9) || (MeasureMonth = 11)) ? 30 : ((MeasureMonth = 2) ? ((((MeasureYear % 4) = 0) && ((MeasureYear % 100) > 0)) ? 29 : (((MeasureYear % 400) = 0) ? 29 : 28)) : 31)


[SetDay_28]
Measure=Calc
Formula=MeasureMonthRange
IfBelowValue=28
IfBelowAction=!execute [!RainmeterHideMeter label.Day28]
IfAboveValue=27
IfAboveAction=!execute [!RainmeterShowMeter label.Day28]

[SetDay_29]
Measure=Calc
Formula=MeasureMonthRange
IfBelowValue=29
IfBelowAction=!execute [!RainmeterHideMeter label.Day29]
IfAboveValue=28
IfAboveAction=!execute [!RainmeterShowMeter label.Day29]

[SetDay_30]
Measure=Calc
Formula=MeasureMonthRange
IfBelowValue=30
IfBelowAction=!execute [!RainmeterHideMeter label.Day30]
IfAboveValue=29
IfAboveAction=!execute [!RainmeterShowMeter label.Day30]

[SetDay_31]
Measure=Calc
Formula=MeasureMonthRange
IfBelowValue=31
IfBelowAction=!execute [!RainmeterHideMeter label.Day31]
IfAboveValue=30
IfAboveAction=!execute [!RainmeterShowMeter label.Day31]

;Basically just telling it when to display 28,29,30 and 31.


[CountDay_01]
Measure=Calc
Formula=MeasureDate
IfEqualValue=1
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 18 MeterWeek1][!RainmeterMoveMeter #XDate# 18 Marking][!RainmeterMoveMeter #XDay# 18 MeterDay]

[CountDay_02]
Measure=Calc
Formula=MeasureDate
IfEqualValue=2
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 34 MeterWeek1][!RainmeterMoveMeter #XDate# 34 Marking][!RainmeterMoveMeter #XDay# 34 MeterDay]

[CountDay_03]
Measure=Calc
Formula=MeasureDate
IfEqualValue=3
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 50 MeterWeek1][!RainmeterMoveMeter #XDate# 50 Marking][!RainmeterMoveMeter #XDay# 50 MeterDay]

[CountDay_04]
Measure=Calc
Formula=MeasureDate
IfEqualValue=4
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 66 MeterWeek1][!RainmeterMoveMeter #XDate# 66 Marking][!RainmeterMoveMeter #XDay# 66 MeterDay]

[CountDay_05]
Measure=Calc
Formula=MeasureDate
IfEqualValue=5
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 82 MeterWeek1][!RainmeterMoveMeter #XDate# 82 Marking][!RainmeterMoveMeter #XDay# 82 MeterDay]

[CountDay_06]
Measure=Calc
Formula=MeasureDate
IfEqualValue=6
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 98 MeterWeek1][!RainmeterMoveMeter #XDate# 98 Marking][!RainmeterMoveMeter #XDay# 98 MeterDay]

[CountDay_07]
Measure=Calc
Formula=MeasureDate
IfEqualValue=7
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 114 MeterWeek1][!RainmeterMoveMeter #XDate# 114 Marking][!RainmeterMoveMeter #XDay# 114 MeterDay]

[CountDay_08]
Measure=Calc
Formula=MeasureDate
IfEqualValue=8
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 130 MeterWeek1][!RainmeterMoveMeter #XDate# 130 Marking][!RainmeterMoveMeter #XDay# 130 MeterDay]

[CountDay_09]
Measure=Calc
Formula=MeasureDate
IfEqualValue=9
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 146 MeterWeek1][!RainmeterMoveMeter #XDate# 146 Marking][!RainmeterMoveMeter #XDay# 146 MeterDay]

[CountDay_10]
Measure=Calc
Formula=MeasureDate
IfEqualValue=10
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 162 MeterWeek1][!RainmeterMoveMeter #XDate# 162 Marking][!RainmeterMoveMeter #XDay# 162 MeterDay]

[CountDay_11]
Measure=Calc
Formula=MeasureDate
IfEqualValue=11
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 178 MeterWeek1][!RainmeterMoveMeter #XDate# 178 Marking][!RainmeterMoveMeter #XDay# 178 MeterDay]

[CountDay_12]
Measure=Calc
Formula=MeasureDate
IfEqualValue=12
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 194 MeterWeek1][!RainmeterMoveMeter #XDate# 194 Marking][!RainmeterMoveMeter #XDay# 194 MeterDay]

[CountDay_13]
Measure=Calc
Formula=MeasureDate
IfEqualValue=13
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 210 MeterWeek1][!RainmeterMoveMeter #XDate# 210 Marking][!RainmeterMoveMeter #XDay# 210 MeterDay]

[CountDay_14]
Measure=Calc
Formula=MeasureDate
IfEqualValue=14
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 226 MeterWeek1][!RainmeterMoveMeter #XDate# 226 Marking][!RainmeterMoveMeter #XDay# 226 MeterDay]

[CountDay_15]
Measure=Calc
Formula=MeasureDate
IfEqualValue=15
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 242 MeterWeek1][!RainmeterMoveMeter #XDate# 242 Marking][!RainmeterMoveMeter #XDay# 242 MeterDay]

[CountDay_16]
Measure=Calc
Formula=MeasureDate
IfEqualValue=16
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 258 MeterWeek1][!RainmeterMoveMeter #XDate# 258 Marking][!RainmeterMoveMeter #XDay# 258 MeterDay]

[CountDay_17]
Measure=Calc
Formula=MeasureDate
IfEqualValue=17
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 274 MeterWeek1][!RainmeterMoveMeter #XDate# 274 Marking][!RainmeterMoveMeter #XDay# 274 MeterDay]

[CountDay_18]
Measure=Calc
Formula=MeasureDate
IfEqualValue=18
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 290 MeterWeek1][!RainmeterMoveMeter #XDate# 290 Marking][!RainmeterMoveMeter #XDay# 290 MeterDay]

[CountDay_19]
Measure=Calc
Formula=MeasureDate
IfEqualValue=19
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 306 MeterWeek1][!RainmeterMoveMeter #XDate# 306 Marking][!RainmeterMoveMeter #XDay# 306 MeterDay]

[CountDay_20]
Measure=Calc
Formula=MeasureDate
IfEqualValue=20
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 322 MeterWeek1][!RainmeterMoveMeter #XDate# 322 Marking][!RainmeterMoveMeter #XDay# 322 MeterDay]

[CountDay_21]
Measure=Calc
Formula=MeasureDate
IfEqualValue=21
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 338 MeterWeek1][!RainmeterMoveMeter #XDate# 338 Marking][!RainmeterMoveMeter #XDay# 338 MeterDay]

[CountDay_22]
Measure=Calc
Formula=MeasureDate
IfEqualValue=22
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 354 MeterWeek1][!RainmeterMoveMeter #XDate# 354 Marking][!RainmeterMoveMeter #XDay# 354 MeterDay]

[CountDay_23]
Measure=Calc
Formula=MeasureDate
IfEqualValue=23
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 370 MeterWeek1][!RainmeterMoveMeter #XDate# 370 Marking][!RainmeterMoveMeter #XDay# 370 MeterDay]

[CountDay_24]
Measure=Calc
Formula=MeasureDate
IfEqualValue=24
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 386 MeterWeek1][!RainmeterMoveMeter #XDate# 386 Marking][!RainmeterMoveMeter #XDay# 386 MeterDay]

[CountDay_25]
Measure=Calc
Formula=MeasureDate
IfEqualValue=25
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 402 MeterWeek1][!RainmeterMoveMeter #XDate# 402 Marking][!RainmeterMoveMeter #XDay# 402 MeterDay]

[CountDay_26]
Measure=Calc
Formula=MeasureDate
IfEqualValue=26
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 418 MeterWeek1][!RainmeterMoveMeter #XDate# 418 Marking][!RainmeterMoveMeter #XDay# 418 MeterDay]

[CountDay_27]
Measure=Calc
Formula=MeasureDate
IfEqualValue=27
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 434 MeterWeek1][!RainmeterMoveMeter #XDate# 434 Marking][!RainmeterMoveMeter #XDay# 434 MeterDay]

[CountDay_28]
Measure=Calc
Formula=MeasureDate
IfEqualValue=28
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 450 MeterWeek1][!RainmeterMoveMeter #XDate# 450 Marking][!RainmeterMoveMeter #XDay# 450 MeterDay]

[CountDay_29]
Measure=Calc
Formula=MeasureDate
IfEqualValue=29
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 466 MeterWeek1][!RainmeterMoveMeter #XDate# 466 Marking][!RainmeterMoveMeter #XDay# 466 MeterDay]

[CountDay_30]
Measure=Calc
Formula=MeasureDate
IfEqualValue=30
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 482 MeterWeek1][!RainmeterMoveMeter #XDate# 482 Marking][!RainmeterMoveMeter #XDay# 482 MeterDay]

[CountDay_31]
Measure=Calc
Formula=MeasureDate
IfEqualValue=31
IfEqualAction=!Execute [!RainmeterMoveMeter #XWeek# 498 MeterWeek1][!RainmeterMoveMeter #XDate# 498 Marking][!RainmeterMoveMeter #XDay# 498 MeterDay]

;Counting the days! The marking is alos in here. And also the week and day that follows it. It's [Week][Date][Day] to put it in a fairly simple way.



;================================================
;[Graphics]======================================
;================================================

;----YEAR----

[MeterYear]
MeasureName=MeasureYear
Meter=String
X=4
Y=0
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
AntiAlias=1


;----SPACE!----
[MeterLine1]
Meter=Image
X=40
Y=0
W=1
H=15
SolidColor=#SolidColor#


;----MONTH----

[MeterMonth]
MeasureName=MeasureMonth
Meter=String
X=50
Y=0
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
AntiAlias=1


;----LINE!----

[MeterLine2]
Meter=Image
X=0
Y=15
W=75
H=2
SolidColor=#BarColor#


;----WEEK----

[MeterWeek1]
MeasureName=MeasureWeek1
Meter=String
x=#XWeek#
y=18
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
AntiAlias=1
Prefix="w"

;This is the week that you see. The ones under can be unmarked, but they will move with the current day (just as the current week will) and be placed outside the date-line. Work it in if you want. :P

;[MeterWeek2]
;MeasureName=MeasureWeek2
;Meter=String
;x=#X0#
;y=82R
;FontColor=#FontColor#
;FontFace=#FontFace#
;FontSize=#FontSize#
;AntiAlias=1

;[MeterWeek3]
;MeasureName=MeasureWeek3
;Meter=String
;x=#X0#
;y=98R
;FontColor=#FontColor#
;FontFace=#FontFace#
;FontSize=#FontSize#
;AntiAlias=1

;[MeterWeek4]
;MeasureName=MeasureWeek4
;Meter=String
;x=#X0#
;y=98R
;FontColor=#FontColor#
;FontFace=#FontFace#
;FontSize=#FontSize#
;AntiAlias=1

;----DAY-DATE----
;Comment below!

[label.Day01]
Meter=string
X=#XDate#
Y=18
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
;stringStyle=#sStyle#
AntiAlias=1
Text="01"

[label.Day02]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="02"

[label.Day03]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="03"

[label.Day04]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="04"

[label.Day05]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="05"

[label.Day06]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="06"

[label.Day07]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="07"

[label.Day08]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="08"

[label.Day09]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="09"

[label.Day10]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="10"

[label.Day11]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="11"

[label.Day12]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="12"

[label.Day13]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="13"

[label.Day14]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="14"

[label.Day15]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="15"

[label.Day16]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="16"

[label.Day17]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="17"

[label.Day18]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="18"

[label.Day19]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="19"

[label.Day20]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="20"

[label.Day21]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="21"

[label.Day22]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="22"

[label.Day23]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="23"

[label.Day24]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="24"

[label.Day25]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="25"

[label.Day26]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="26"

[label.Day27]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="27"

[label.Day28]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="28"

[label.Day29]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="29"

[label.Day30]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="30"

[label.Day31]
Meter=string
X=r
Y=#pxS#r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="31"

[Marking]
Meter=Image
X=#XDate#
Y=18
W=16
H=16
SolidColor=#SolidColor#
StringAlign=#StringAlign#
Hidden=0

;This is the date-line that you see. Also, the marking that you see is here. So you can change the size of it or something like that. X and Y are just startvalues (where it will be when you start and refresh the skin).

;----DAY-NAME----

[MeterDay]
MeasureName=MeasureDay
Meter=String
X=#XDay#
Y=18
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
AntiAlias=1

;The day which (from the start) is to the right of the date-line.
